com.ihr.xbrl.dts.history

## Class HistoricalEventImpl

- java.lang.Object
- - com.ihr.xbrl.dts.history.HistoricalEventImpl

- All Implemented Interfaces:
    HistoricalEventInterface

      public class HistoricalEventImpl
      extends java.lang.Object
      implements HistoricalEventInterface

  Implementation of an Historical Event.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoricalEventImpl(java.util.Date date, java.lang.String message)` Instantiates a new historical event impl.
    `HistoricalEventImpl(java.lang.String message)` Instantiates a new historical event impl.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Returns the date the historical event was produced.
    `java.lang.String` | `getMessage()` Return the text message for this historical event.
    `java.lang.String` | `toString()` Returns a text representation of the entire event including all the information available.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoricalEventImpl

          public HistoricalEventImpl(java.util.Date date,
                             java.lang.String message)

      Instantiates a new historical event impl.
      Parameters:
        `date` - the date
        `message` - the message

    - #### HistoricalEventImpl

          public HistoricalEventImpl(java.lang.String message)

      Instantiates a new historical event impl.
      Parameters:
        `message` - the message

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Description copied from interface: `HistoricalEventInterface`
      Return the text message for this historical event. All other information such as the date is not returned
      Specified by:
        `getMessage` in interface `HistoricalEventInterface`
      Returns:
        text

    - #### getDate

          public java.util.Date getDate()

      Description copied from interface: `HistoricalEventInterface`
      Returns the date the historical event was produced.
      Specified by:
        `getDate` in interface `HistoricalEventInterface`
      Returns:
        jave.util.Date

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `HistoricalEventInterface`
      Returns a text representation of the entire event including all the information available.
      Specified by:
        `toString` in interface `HistoricalEventInterface`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        text